Subject: [dhcwg] Mail regarding draft-ietf-dhc-dhcpv4-over-dhcpv6

From: <[email-masked]>
Date: Thu, 16 May 2013 19:16:10 +0200

Hi,

I was just looking through this draft again and one thing that I noticed is that the RFC4361 compliant behaviour is only mandated for clients. There is no mention of compliance for the server. Surely, it's needed for both?

Cheers,
Ian

---

From: Ted Lemon <[email-masked]>
Date: Thu, 16 May 2013 17:20:41 +0000

On May 16, 2013, at 1:16 PM, [email-masked]<mailto:[email-masked]> wrote:
I was just looking through this draft again and one thing that I noticed is that the RFC4361 compliant behaviour is only mandated for clients. There is no mention of compliance for the server. Surely, it's needed for both?

Servers don't care.   It's just an opaque identifier to the server.   We don't have a DHCPv4/DHCPv6 combined server document; if we did it might talk about how to handle this.   I think my inventory document should mention it if it doesn't.

---

From: <[email-masked]>
Date: Fri, 17 May 2013 09:10:11 +0200

Hi Ted,

It was section 6.3 of rfc4361 that I was mainly referring to, which says that the server must use the client identifier option to identify the client if the client sends one. Surely this must be relevant for the Unified DHCPv4 o DHCPv6  server as well?

Cheers,
Ian

From: Ted Lemon <[email-masked]<mailto:[email-masked]>>
Date: Thursday, 16 May 2013 19:20
To: Ian Farrer <[email-masked]<mailto:[email-masked]>>
Cc: "<[email-masked]<mailto:[email-masked]>>" <[email-masked]<mailto:[email-masked]>>, "<[email-masked]<mailto:[email-masked]>>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [dhcwg] Mail regarding draft-ietf-dhc-dhcpv4-over-dhcpv6